/*
** Module   : Sizeable.java
** Abstract : Defines getters for width/height of the widget or the display
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- -----------------------Description------------------------
** 001 VMN 20130217 Created initial version.
*/

package com.goldencode.p2j.util;

public interface Sizeable
extends WidthCharable
{
   /**
    * Queries the WIDTH-PIXELS attribute of this widget.
    *
    * @return  The width of the widget in pixels.
    */
   public integer getWidthPixels();

   /**
    * Queries the HEIGHT-PIXELS attribute of this widget.
    *
    * @return  The height of the widget in pixels.
    */
   public integer getHeightPixels();

   /**
    * Get HEIGHT-CHARS attribute value.
    *
    * @return   Current value of the attribute.
    */
   public integer getHeightChars();

}
